# LdapSync 1.9.1

Copyright (c) Connect2id Ltd., 2009 - 2023


# README

The LdapSync agent provisions user accounts from a source LDAP directory (MS
Active Directory, OpenLDAP, etc.) to a target LDAP directory accessed by means 
of a Json2Ldap web API.

```
    [Source LDAP server] ==sync==> [Json2Ldap] <==> [Target LDAP server]
```

The LdapSync agent connects periodically to the source LDAP directory and
uploads any changes that it detects in the specified user base to the target
LDAP directory.


## System requirements:

* Runtime: Java 8+
* Source directory: any LDAP v3 compatible server
* Json2Ldap web service: version 3.4.0+
* Target directory: any LDAP v3 compatible server


## Configuration properties:

The LdapSync configuration is explained in the `sync.properties` file comments.


## Running the LdapSync agent from the console:

Invoke the executable JAR and pass the synchronisation configuration to it by
file name or to the standard input. Individual configuration properties can be
overridden or passed as Java system properties.

Passing the configuration by file example:

```
java -jar ldapsync.jar sync.properties
```

Passing the configuration via standard input example:

```
generate-config-props.sh | java -jar ldapsync.jar
```

Passing the source and target directory passwords via Java system properties
example:

```
java -DsourceDirectory.user.password=eiGaev6s \
-DtargetDirectory.user.password=Oi5ushae \
-jar ldapsync.jar sync.properties
```

Passing the source and target directory passwords via environment variables
example:

```
java -DsourceDirectory.user.password=$SOURCE_DIR_PWD \
-DtargetDirectory.user.password=$TARGET_DIR_PWD \
-jar ldapsync.jar sync.properties
```


## Website

Visit

<https://connect2id.com/products/ldapsync>


## Questions or comments?

Email support@connect2id.com